*,
*::before,
*::after {
  box-sizing: border-box;
}

#container {
  width: 960px;
  max-width: 100%;
  margin: 0 auto;
}

html,
body {
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: 'Bellota Text', sans-serif;
  background-color: #FEFCEF;
  color: #1F090B;
  font-size: 1.3em;
  font-weight: 400;
  line-height: 1.4rem;
}

header,
main,
section,
footer {
  padding: 20px;
} 

main {
  padding-top: 40px;
}

h1,
h2,
h3 {
  font-family: 'Bellota', sans-serif;
  font-weight: 700;
}

h1{
  font-size: 2.4rem;
  margin-bottom: 20px;
}

h2 {
  margin-bottom: 20px;
  color: #B00B17;
}

p {
  line-height: 1.5em;
}

img {
  max-width: 100%;
  display: block;
}

header {
  background-color: #B00B17;
  color: #FEFCEF;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header-text p {
  margin-top: 0;
}


nav ul {
  display: flex;
  gap: 20px;
  list-style-type: none;
  padding: 0;  
  margin: 0;
  color: #F5BB06;
}

nav li {
  display: inline-block;
}

nav a {
  text-decoration: none;
  color: #F5BB06;
  font-weight: bold;
}

nav a:hover {
  color: #FEFCEF;
}


section {
  margin-bottom: 0px;
  padding: 20px 20px;
}

#firsth2 {
  display: flex;
  justify-content: center;
  font-style: italic;
  padding-top: 70px;
  padding-bottom: 30px;
  font-size: 2.5rem;
  text-decoration: underline;

}

#intro h2 {
  display: flex;
  padding-top: 1px;
  padding-bottom: 10px;
  color: #F5BB06;
  font-weight: bolder;
  font-style: italic;
  font-size:2.5rem;
}

#intro img {
  margin-bottom: 20px;
  border-radius: 8px;
  width: 100%;
}

#intro p {
  line-height: 1.6;
  font-size: 1.1em;
}


.project-grid {
  display: flex;
  gap: 20px;
}

.project-card {
  display: flex;
  flex-direction: column;
  flex: 1;
  background-color: #F5BB06;
  padding: 15px;
  border-radius: 8px;
  font-weight: bold;
}

.project-card h3 {
  color: #B00B17;
}
.project-card img {
  margin-bottom: 15px;
  width: 100%;
  height: 220px;
  object-fit: cover;
}


.skills-grid {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.skill-box {
  color: #FEFCEF;
  background-color: #F48F7D;
  padding: 15px 20px;
  border-radius: 8px;
  font-size: 1.1rem;
  font-weight: bold;
}

#skills h2 {
  color: #B00B17;
}


.about-layout {
  display: flex;
  gap: 30px;
  align-items: center;
}

.about-text {
  flex: 1;
}

#about h2{
  font-style: italic;
}

.about-layout img {
  border-radius: 8px;
}


footer {
  background-color: #B00B17;
  color: #FEFCEF;
  text-align: center;
}

footer h2{
  color:#FEFCEF;
}

footer p {
  max-width: none;
  margin-left: auto;
  margin-right: auto;
}

.email {
  color: #F5BB06;
}

.email :hover{
  color: #F48F7D;
}

.social-links {
  margin-top: 15px;
}

.social-links a {
  color: #F5BB06;
  text-decoration: none;
  margin: 0 10px;
  font-weight: bold;
}

.social-links :hover{
  color: #F48F7D;
}
